
create table if not exists p10_sa.S98_S_udesk_record (
	 udesk_time  TEXT 
	, ring_time  TEXT 
	, dura_time  TEXT 
	, cust_name  TEXT 
	, cust_tel  TEXT 
	, con_result  TEXT 
	, operator  TEXT 
	, follow_up  TEXT 
	, location  TEXT 
	, source  TEXT 
	, relay_number  TEXT 
	, satisfaction  TEXT 
	, call_type  TEXT 
	, device_status  TEXT 
	, company  TEXT 
	, quest  TEXT 
	, queue_status  TEXT 
	, dtmf  TEXT 
	, queue_time  TEXT 
	, cause_of_call_failure  TEXT 
	, call_record  TEXT 
	, leave_message  TEXT 
	, hang_up  TEXT 
	, external_telephone  TEXT 
	, business_record_template  TEXT 
	, theme  TEXT 
	, vibration  TEXT 
	, customer_service  TEXT 
	, work_order  TEXT 
	, email  TEXT 
	, tag  TEXT 
	, description  TEXT 
	, charge_person  TEXT 
	, charge_group  TEXT 
	, level  TEXT 
	, blacklist_ind  TEXT 
	, company_name  TEXT 
	, consultation_content  TEXT 
	, ivr_record  TEXT 
	, call_id  TEXT 
	, other_data  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.udesk_time IS '时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.ring_time IS '响铃时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.dura_time IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.cust_name IS '客户'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.cust_tel IS '客户电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.con_result IS '通话结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.operator IS '客服'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.follow_up IS '后续通话'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.location IS '归属地'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.source IS '来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.relay_number IS '中继号'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.satisfaction IS '满意度评价'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_type IS '通话类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.device_status IS '设备状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.company IS '公司'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.quest IS '任务'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.queue_status IS '排队状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.dtmf IS 'DTMF'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.queue_time IS '排队耗时'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.cause_of_call_failure IS '外呼失败原因'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_record IS '通话录音'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.leave_message IS '留言'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.hang_up IS '通话挂断方'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.external_telephone IS '外部电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.business_record_template IS '业务记录模版'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.theme IS '主题'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.vibration IS '顺振'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.customer_service IS '相关客服'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.work_order IS '生成工单'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.email IS '邮箱'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.tag IS '标签'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.description IS '描述'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.charge_person IS '负责人'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.charge_group IS '负责组'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.level IS '等级'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.blacklist_ind IS '是否在黑名单'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.company_name IS '公司名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.consultation_content IS '咨询内容'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.ivr_record IS 'IVR录音'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_id IS 'Call ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.other_data IS ''; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_udesk_record IS '';



create table if not exists p12_sfull.S98_S_udesk_record (
	 udesk_time  TEXT 
	, ring_time  TEXT 
	, dura_time  TEXT 
	, cust_name  TEXT 
	, cust_tel  TEXT 
	, con_result  TEXT 
	, operator  TEXT 
	, follow_up  TEXT 
	, location  TEXT 
	, source  TEXT 
	, relay_number  TEXT 
	, satisfaction  TEXT 
	, call_type  TEXT 
	, device_status  TEXT 
	, company  TEXT 
	, quest  TEXT 
	, queue_status  TEXT 
	, dtmf  TEXT 
	, queue_time  TEXT 
	, cause_of_call_failure  TEXT 
	, call_record  TEXT 
	, leave_message  TEXT 
	, hang_up  TEXT 
	, external_telephone  TEXT 
	, business_record_template  TEXT 
	, theme  TEXT 
	, vibration  TEXT 
	, customer_service  TEXT 
	, work_order  TEXT 
	, email  TEXT 
	, tag  TEXT 
	, description  TEXT 
	, charge_person  TEXT 
	, charge_group  TEXT 
	, level  TEXT 
	, blacklist_ind  TEXT 
	, company_name  TEXT 
	, consultation_content  TEXT 
	, ivr_record  TEXT 
	, call_id  TEXT 
	, other_data  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.udesk_time IS '时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.ring_time IS '响铃时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.dura_time IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.cust_name IS '客户'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.cust_tel IS '客户电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.con_result IS '通话结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.operator IS '客服'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.follow_up IS '后续通话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.location IS '归属地'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.source IS '来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.relay_number IS '中继号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.satisfaction IS '满意度评价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_type IS '通话类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.device_status IS '设备状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.company IS '公司'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.quest IS '任务'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.queue_status IS '排队状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.dtmf IS 'DTMF'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.queue_time IS '排队耗时'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.cause_of_call_failure IS '外呼失败原因'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_record IS '通话录音'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.leave_message IS '留言'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.hang_up IS '通话挂断方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.external_telephone IS '外部电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.business_record_template IS '业务记录模版'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.theme IS '主题'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.vibration IS '顺振'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.customer_service IS '相关客服'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.work_order IS '生成工单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.email IS '邮箱'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.tag IS '标签'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.description IS '描述'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.charge_person IS '负责人'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.charge_group IS '负责组'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.level IS '等级'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.blacklist_ind IS '是否在黑名单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.company_name IS '公司名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.consultation_content IS '咨询内容'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.ivr_record IS 'IVR录音'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_id IS 'Call ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.other_data IS ''; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_udesk_record IS '';

